Bug 367501 - (CVE-2007-5275) CVE-2007-5275 Flash plugin DNS rebinding
CVE-2007-5275 Flash plugin DNS rebinding
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=debian,reported=20071105,publi...
: Security
Depends On: 412171 412181 412191 440977 440978 440979
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-05 16:31 EST by Lubomir Kundrak
Modified: 2008-04-04 15:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-19 02:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-11-05 16:31:06 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5275 to the following vulnerability:

The Adobe Macromedia Flash 9 plug-in allows remote attackers to cause a victim machine to establish TCP sessions with arbitrary hosts via a Flash (SWF) movie, related to lack of pinning of a hostname to a single IP address after receiving an allow-access-from element in a cross-domain-policy XML document, and the availability of a Flash Socket class that does not use the browser's DNS pins, aka DNS rebinding attacks, a different issue than CVE-2002-1467 and CVE-2007-4324.

References:

http://crypto.stanford.edu/dns/dns-rebinding.pdf
Comment 3 Tomas Hoger 2007-12-19 02:58:02 EST
Issue was addressed in supported products by:

  https://rhn.redhat.com/errata/RHSA-2007-1126.html

Note You need to log in before you can comment on or make changes to this bug.